#chatIcon {
    will-change: background-color;
    transition: background-color .3s cubic-bezier(0,0,.2,1);
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 60px;
    height: 60px;
    box-shadow: rgba(0, 0, 0, 0.3) 0 0.2em 0.8em;
    -webkit-box-pack: center;
    justify-content: center;
    color: #003594;
    border-radius: 100%;
    background-color: #ffb81c;
    text-align: center;
    z-index: 10000;
    cursor: pointer;
}

@media (max-width: 768px) {
    #chatIcon {
        bottom: 10px;
        right: 15px;
    }
}

#chatIcon:hover {
    background-color: #FFC84F;
}

#chatIconInner {
    position: relative;
    background: transparent;
    border: 0;
    color: #003594;
    padding: 0;
    text-align: center;
    margin-top: 5px;
    margin-bottom: 5px;
}

#chatIconImage {
    position: absolute;
    font-size: 25px;
    padding: 0;
    top: 0;
    left: 0;
    right: 0;
}

#chatIconText {
    position: absolute;
    font-size: 15px;
    font-weight: bold;
    padding: 0;
    top: 25px;
    left: 0;
    right: 0;
}

#chatIcon:hover #chatIconText {
    text-decoration: underline;
}

#chatIcon.hide {
    display: none;
}

/*
        Styles will apply when device(view port) width is >768px
    */
@media (min-device-width : 768px) {
    .desktop_bubble_chat {
        height: 410px;
        max-height: 410px;
        width: 312px;
        position: fixed;
        bottom: 1em;
        right: 1em;
        border: none;
        outline: none;
        box-sizing: border-box;
        z-index: 999;
        overflow: hidden;
        padding: 0;
    }
}

/*
        Styles will apply when device(view port) width is <=768px
    */
@media (max-device-width: 768px) {
    .desktop_bubble_chat {
        height: 100%;
        max-height: 100%;
        width: 100%;
        position: fixed;
        bottom: 0;
        right: 0;
        border: none;
        outline: none;
        box-sizing: border-box;
        z-index: 999;
        overflow: hidden;
        padding: 0;
    }
}

/*
        Styles will apply when available width on window resize is >768px
    */
@media (min-width : 768px) {
    .desktop_bubble_chat {
        height: 410px;
        max-height: 410px;
        width: 312px;
        position: fixed;
        bottom: 1em;
        right: 1em;
        border: none;
        outline: none;
        box-sizing: border-box;
        z-index: 999;
        overflow: hidden;
        padding: 0;
    }
}

/*
        Styles will apply when available width on window resize is <=768px
    */
@media (max-width: 768px) {
    .desktop_bubble_chat {
        height: 100%;
        max-height: 100%;
        width: 100%;
        position: fixed;
        bottom: 0;
        right: 0;
        border: none;
        outline: none;
        box-sizing: border-box;
        z-index: 999;
        overflow: hidden;
        padding: 0;
    }
}

/*
        Styles will apply when isMobile function returns true
    */
.mobile_bubble_chat {
    height: 100%;
    max-height: 100%;
    width: 100%;
    position: fixed;
    bottom: 0;
    right: 0;
    border: none;
    outline: none;
    box-sizing: border-box;
    z-index: 999;
    overflow: hidden;
    padding: 0;
}

/*
        Style will apply when chat is minimized
    */
.minimized_chat {
    height: 56px;
}